Subject: Re: G++ for CygWin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 28 Jan 2004 17:41:38 +0100

Hello Dave,

>> These smaller packages are gcc-core which includes the
>> backend and the C-frontend and the other small packages 
>> include the other frontends.

>   There is no such thing as a stand-alone backend.  The C-frontend and the
> C-backend are inseparably combined in the program called "cc1.exe".

>> Cygwin GCC comes in addition to these packages with a pascal frontend.

>   There is no such thing as a stand-alone frontend.  The pascal frontend and
> the pascal backend are inseparably combined in the program called
> "gpc1.exe".

>   Your use of "frontend" to describe the generic compiler drivers, and
> "backend" to describe the actual language-specific compilers themselves is
> at odds with the standard usage everywhere on gcc.gnu.org, related mailing
> lists, and throughout the gcc documentation.

I didn't use the word 'stand-alone'.  There is a common backend, and
several language specific front ends.

>   I thought I'd explained why I say that clearly enough in my last post, but
> I guess it needs clarifying: it is a misuse of existing terminology that
> will cause confusion if continued.

I use the terms that are also used at the GCC website?

"Currently the main GCC distribution contains front ends for C (gcc),
C++ (g++), Objective C, Fortran (g77), Java (GCJ), and Ada (GNAT)."

from:
http://gcc.gnu.org/frontends.html

Backend describes architectures supported by GCC:
http://gcc.gnu.org/backends.html

-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/